[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# Application

The TApplication singleton.

## Declaration

Source position: forms.pp line 1987

`var Application: TApplication = Nil;`

## Description

Application is a unit global variable with the TApplication instance representing the currently executing application. The value for the variable is assigned in the initialization section for the unit when the application is started. It is freed in the finalization section when the application is terminated.

Use the TApplicationProperties component to provide design-time configuration settings for properties (including event handlers) which are automatically applied to Application at run-time.

## See also

TApplication |  | Application management and configuration for a GUI application.
TApplicationProperties |  | A component that provides access to the properties for the current application.